## sluice 0.01.16

=== Makefile ===
VERSION=0.01.16

CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'

BINDIR=/usr/bin
MANDIR=/usr/share/man/man1

sluice: sluice.o
	$(CC) $(CFLAGS) $< -o $@ $(LDFLAGS)

sluice.1.gz: sluice.1
	gzip -c $< > $@

dist:
	rm -rf sluice-$(VERSION)
	mkdir sluice-$(VERSION)
	cp -rp Makefile sluice.c sluice.1 COPYING sluice-$(VERSION)
	tar -zcf sluice-$(VERSION).tar.gz sluice-$(VERSION)
	rm -rf sluice-$(VERSION)

clean:
	rm -f sluice sluice.o sluice.1.gz
	rm -f sluice-$(VERSION).tar.gz

install: sluice sluice.1.gz
	mkdir -p ${DESTDIR}${BINDIR}
	cp sluice ${DESTDIR}${BINDIR}
	mkdir -p ${DESTDIR}${MANDIR}
	cp sluice.1.gz ${DESTDIR}${MANDIR}

=== debian/changelog ===
sluice (0.01.16-1) unstable; urgency=medium

  * Bump version once more
  * Correct the default delay mode to be really -D0

 -- Colin King <colin.king@canonical.com>  Thu, 8 Jan 2015 19:23:00 +0000

sluice (0.01.15-1) unstable; urgency=medium

  * Makefile: bump version
  * Minor changes to -D text, update man page date too
  * Correct modes D0, D1 and update man page describing sleep durations
  * Check for eof and break out of loop before we do delay or writes

 -- Colin King <colin.king@canonical.com>  Thu, 8 Jan 2015 18:51:33 +0000

sluice (0.01.14-1) unstable; urgency=medium

  * Makefile: bump version
  * Add more meaningful error exit return values.
  * Add Kamal to man page because of all the useful guidance provided
  * Add -P pidfile option
  * Add more stats info
  * Add delay counts to stats
  * Make io_rate double precision for more accuracy in -c mode
  * Adjust io_size with double precision rather than integer math.
  * Add delay mode option -D

 -- Colin King <colin.king@canonical.com>  Thu, 8 Jan 2015 11:55:01 +0000

sluice (0.01.13-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix incorrectly escaped -s option
  * Add caveat for the -r option in manual
  * Allow for 100% overrun/underrun stats
  * Add more precision to drift stats
  * Add more meaningful time conversion with -p option
  * Update manual with more explanations and clarifications.
  * Re-write man page, better explanations of -i, -c and -s options
  * Add debug and better user error messages
  * -i mode and no -s shift defined, default to non-adjust mode
  * Handle very slow input sizes and rates
  * Don't use 4 as the minimum threshold

 -- Colin King <colin.king@canonical.com>  Wed, 7 Jan 2015 11:18:18 +0000

sluice (0.01.12-1) unstable; urgency=medium

  * Makefile: bump version again
  * Add more comments
  * Debian/control: use arch any and re-format description

 -- Colin King <colin.king@canonical.com>  Tue, 6 Jan 2015 09:10:11 +0000

sluice (0.01.11-1) unstable; urgency=medium

  * Makefile: bump version
  * Add SEE ALSO section to manual
  * Correct formatting of min/max stats
  * Add -e error skip option
  * Add -p option
  * Add -V version info option

 -- Colin King <colin.king@canonical.com>  Mon, 5 Jan 2015 19:51:00 +0000

sluice (0.01.10-1) unstable; urgency=medium

  * Makefile: bump version
  * Add -I input file option
  * Cater for -n option when gathering and printing stats
  * Cater for zero stats, avoid bad data in min/max and drift calcs
  * Add BUGS section to manual
  * Add . after -v option in manual
  * Add more clarification to the -w option in the manual
  * Correct the default -f value in the manual
  * Initialise stats.drift_total to zero
  * Minor changes to the man page NAME description
  * Add missing .TP

 -- Colin King <colin.king@canonical.com>  Mon, 5 Jan 2015 17:40:00 +0000

sluice (0.01.09-1) unstable; urgency=medium

  * Makefile:  bump version
  * Rephrase stats: Actual Rate -> Average Rate
  * Add drift stats to -S option
  * Add -T option to internal help info
  * Add -T time option
  * Add SIGUSR2 underrun/overrun toggle
  * Add SIGUSR1/SIGINFO verbose mode toggle signal handling
  * Fix -v mode comments, output rate is no longer @ 3 Hz
  * Add magic -s 0 state that adjusts by delta of desired and current

 -- Colin King <colin.king@canonical.com>  Mon, 5 Jan 2015 15:58:00 +0000

sluice (0.01.08-1) unstable; urgency=medium

  * Makefile: bump version
  * Update manual date
  * Rename adjust_shift variable
  * Tweak settings for more optimal data rate tracking
  * Minor code clean ups
  * Make default freq 4Hz
  * Fix up comments for get_uint64_byte
  * Add the -n no rate control mode
  * Improve help for -a option
  * timeval_to_double should not be inlined
  * Add 'P' petabyte specifier to man page
  * Re-organise size to string formatting helper functions
  * Remove longjmp, it causes -Wclobber issues

 -- Colin King <colin.king@canonical.com>  Sun, 4 Jan 2015 14:32:00 +0000

sluice (0.01.07-1) unstable; urgency=medium

  * Makefile: bump version
  * Update copyright year
  * Handle SIGINT tidy up
  * Clear line if verbose mode is enabled
  * Make negative error check more friendly
  * Allow byte sizes and rates to be double precision values
  * Add -S option for run-time statistics
  * Handle '?' option correctly.
  * Add -O option
  * Fix eof and multiple buffer read issues

 -- Colin King <colin.king@canonical.com>  Sat, 3 Jan 2015 21:33:00 +0000

sluice (0.01.06-1) unstable; urgency=medium

  * Makefile: bump version
  * Add terabytes specifier
  * Ignore return from fflush()
  * Add -a append file option

 -- Colin King <colin.king@canonical.com>  Thu, 25 Dec 2014 13:34:31 +0000

sluice (0.01.05-1) unstable; urgency=medium

  * Makefile: bump version
  * Add -c constant write speed option
  * Make help info function static

 -- Colin King <colin.king@canonical.com>  Tue, 23 Dec 2014 16:30:00 +0000

sluice (0.01.04-1) unstable; urgency=medium

  * Makefile: bump version
  * Add shift delay tweakable with the -s option
  * Add -R random option
  * Increase I/O size, check for oversized rate
  * Add -z option

 -- Colin King <colin.king@canonical.com>  Tue, 23 Dec 2014 11:08:00 +0000

sluice (0.01.03-1) unstable; urgency=medium

  * Makefile: bump version again
  * Man page: correct title text.

 -- Colin King <colin.king@canonical.com>  Mon, 22 Dec 2014 15:58:00 +0000

sluice (0.01.02-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove the need for -lm
  * Move definition of n
  * Make APP_NAME a const static char string, rename to app_name
  * Order sluice man page options
  * Add -f freq option
  * Fix small buffer size on underflow
  * Add buffer size to -v option output
  * Add -t tee file option
  * Add -o overflow flag and tweak underflow buffer size adjustment
  * Add -d discard option

 -- Colin King <colin.king@canonical.com>  Mon, 22 Dec 2014 14:48:00 +0000

sluice (0.01.01-1) unstable; urgency=medium



## sluice 0.01.17

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=0.01.16
+VERSION=0.01.17
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'

=== debian/changelog ===
sluice (0.01.17-1) unstable; urgency=medium

  * Makefile: bump version
  * Add -f caveat
  * Correct ETA estimation, got it inverted

 -- Colin King <colin.king@canonical.com>  Sun, 1 Feb 2015 17:17:21 +0000

## sluice 0.01.18

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,21 @@
-VERSION=0.01.17
+#
+# Copyright (C) 2014-2015 Canonical, Ltd.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+VERSION=0.01.18
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'

=== debian/changelog ===
sluice (0.01.18-1) unstable; urgency=medium

  * Makefile: bump version
  * Add copyright info and update date in manual
  * Makefile: Add copyright

 -- Colin King <colin.king@canonical.com>  Mon, 18 May 2015 16:32:00 +0100

=== debian/control ===
Source: sluice
Section: utils
Priority: optional
Maintainer: Colin King <colin.king@canonical.com>
Uploaders: Kamal Mostafa <kamal@whence.com>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 7)
Homepage: http://kernel.ubuntu.com/~cking/sluice

Package: sluice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: rate limiting data piping tool
 Sluice reads from standard input and write to standard output at a specified
 data rate.  This can be useful for benchmarking and exercising I/O streaming
 at desired throughput rates.

## sluice 0.02.00

=== Makefile ===
--- 
+++ 
@@ -15,9 +15,9 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.01.18
+VERSION=0.02.00
 
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man1

=== debian/changelog ===
sluice (0.02.00-1) unstable; urgency=medium

  * Makefile: bump version to 0.02.00
  * Re-order fields in delay_info_t for better memory packing
  * Makefile: Add -O2 optimization option
  * Constify some char * returns
  * Clean up source to be 80 char wide tty friendly
  * Inline a few functions
  * Fix spelling mistake, explictly -> explicitly

 -- Colin King <colin.king@canonical.com>  Sat, 1 Aug 2015 08:00:00 +0100

## sluice 0.02.01

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.00
+VERSION=0.02.01
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
sluice (0.02.01-1) unstable; urgency=medium

  * Makefile: bump version
  * Update debian/control debhelper version to 9 or above
  * Update debian compat to 9
  * Fix ordering of -D flag options (LP: #1492832)

 -- Colin King <colin.king@canonical.com>  Sun, 6 Sep 2015 20:42:00 +0100

## sluice 0.02.02

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.01
+VERSION=0.02.02
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
sluice (0.02.02-1) unstable; urgency=medium

  * Various minor fixes (LP: #1500587)
  * Makefile: bump version
  * Update copyright, move to GPL-3
  * Add upper rate limit, of 1PB per second.
  * Improve size specifier checking on double float parser
  * Fix two error messages that were printing to stdout and not stderr
  * Fix typo, "infp" -> "into"
  * Add more help if user does not specify -r option
  * Increase default IO size buffer maximum
  * Correct -d help info, should be disregard output. not input

 -- Colin King <colin.king@canonical.com>  Mon, 28 Sep 2015 20:56:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Colin King <colin.king@canonical.com>
 Uploaders: Kamal Mostafa <kamal@whence.com>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 9)
 Homepage: http://kernel.ubuntu.com/~cking/sluice
 
 Package: sluice

## sluice 0.02.03

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2015 Canonical, Ltd.
+# Copyright (C) 2014-2016 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.02
+VERSION=0.02.03
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
sluice (0.02.03-1) unstable; urgency=medium

  * Makefile bunp version
  * reduce scope of variable ret
  * Update date in manual
  * Don't centre table in man page
  * Add -x pipe transfer size option
  * Update copyright year

 -- Colin King <colin.king@canonical.com>  Sun, 6 Mar 2016 14:41:11 +0100

## sluice 0.02.04

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.03
+VERSION=0.02.04
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
sluice (0.02.04-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: update Standards-Version to 3.9.8

 -- Colin King <colin.king@canonical.com>  Thu, 5 May 2016 13:44:42 +0100

## sluice 0.02.05

=== Makefile ===
--- 
+++ 
@@ -15,9 +15,19 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.04
+VERSION=0.02.05
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
+
+#
+# Pedantic flags
+#
+ifeq ($(PEDANTIC),1)
+CFLAGS += -Wabi -Wcast-qual -Wfloat-equal -Wmissing-declarations \
+	-Wmissing-format-attribute -Wno-long-long -Wpacked \
+	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
+	-Wno-missing-braces -Wno-sign-compare -Wno-multichar
+endif
 
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man1

=== debian/changelog ===
sluice (0.02.05-1) unstable; urgency=medium

  * Add build hardening flags
  * Makefile: bump version
  * Use build-in popcount to count bits
  * Allow float comparisons a little bit of slop
  * Make get_pagesize helper static
  * Makefile: add PEDANTIC flags

 -- Colin King <colin.king@canonical.com>  Mon, 7 Nov 2016 13:51:11 +0100

## sluice 0.02.06

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.05
+VERSION=0.02.06
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
sluice (0.02.06-1) unstable; urgency=medium

  * Makefile: bump minor version
  * Fix incorrect position of \ escape in -s option man page

 -- Colin King <colin.king@canonical.com>  Mon, 19 Dec 2016 15:00:01 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Uploaders: Kamal Mostafa <kamal@whence.com>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9)
 Homepage: http://kernel.ubuntu.com/~cking/sluice

## sluice 0.02.07

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2016 Canonical, Ltd.
+# Copyright (C) 2014-2018 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.06
+VERSION=0.02.07
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 
@@ -41,7 +41,7 @@
 dist:
 	rm -rf sluice-$(VERSION)
 	mkdir sluice-$(VERSION)
-	cp -rp Makefile sluice.c sluice.1 COPYING sluice-$(VERSION)
+	cp -rp Makefile sluice.c sluice.1 COPYING snapcraft sluice-$(VERSION)
 	tar -zcf sluice-$(VERSION).tar.gz sluice-$(VERSION)
 	rm -rf sluice-$(VERSION)

=== debian/changelog ===
sluice (0.02.07-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: add snapcraft directory to make dist rule
  * debian/control: update Standards-Version to 4.1.2
  * update copyright year
  * Add snapcraft
  * Add extra parentheses for clarity
  * voidify fclose()

 -- Colin King <colin.king@canonical.com>  Fri, 5 Jan 2018 00:47:11 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Uploaders: Kamal Mostafa <kamal@whence.com>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Build-Depends: debhelper (>= 9)
 Homepage: http://kernel.ubuntu.com/~cking/sluice

## sluice 0.02.08

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.07
+VERSION=0.02.08
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
sluice (0.02.08-1) unstable; urgency=medium

  * Makefile: bump version
  * fixup some constifications
  * Make delay_info const
  * Make -r 0 to be no rate control (same as -n)
  * Add -I option to help
  * debian/copyright: use secure URI
  * debian/control: update debhelper version to >=11
  * debian/control: remove empty last line
  * debian/compat: update to 11
  * constify sizes
  * voidify function returns

 -- Colin King <colin.king@canonical.com>  Sat, 16 Jun 2018 20:38:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Colin King <colin.king@canonical.com>
 Uploaders: Kamal Mostafa <kamal@whence.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 11)
 Homepage: http://kernel.ubuntu.com/~cking/sluice
 
 Package: sluice
@@ -14,4 +14,3 @@
  Sluice reads from standard input and write to standard output at a specified
  data rate.  This can be useful for benchmarking and exercising I/O streaming
  at desired throughput rates.
-

## sluice 0.02.09

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2018 Canonical, Ltd.
+# Copyright (C) 2014-2019 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.08
+VERSION=0.02.09
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 
@@ -41,7 +41,8 @@
 dist:
 	rm -rf sluice-$(VERSION)
 	mkdir sluice-$(VERSION)
-	cp -rp Makefile sluice.c sluice.1 COPYING snapcraft sluice-$(VERSION)
+	cp -rp Makefile sluice.c sluice.1 COPYING snapcraft \
+		.travis.yml sluice-$(VERSION)
 	tar -zcf sluice-$(VERSION).tar.gz sluice-$(VERSION)
 	rm -rf sluice-$(VERSION)

=== debian/changelog ===
sluice (0.02.09-1) unstable; urgency=medium

  * Makefile: bump version
  * Use DOUBLE_CMP to compare with zero
  * Rename FLOAT_CMP to DOUBLE_CMP as it compares doubles
  * Makefile: add .travis.yml to dist rule
  * Update copyright year
  * Add travis yaml file

 -- Colin King <colin.king@canonical.com>  Wed, 10 Jul 2019 10:59:57 +0100

## sluice 0.02.10

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.09
+VERSION=0.02.10
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 
@@ -41,7 +41,7 @@
 dist:
 	rm -rf sluice-$(VERSION)
 	mkdir sluice-$(VERSION)
-	cp -rp Makefile sluice.c sluice.1 COPYING snapcraft \
+	cp -rp Makefile sluice.c sluice.1 COPYING snap \
 		.travis.yml sluice-$(VERSION)
 	tar -zcf sluice-$(VERSION).tar.gz sluice-$(VERSION)
 	rm -rf sluice-$(VERSION)

=== debian/changelog ===
sluice (0.02.10-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: rename snapcraft to snap in dist rule
  * Debian: update to compat level 12
  * snapcraft: use automatic versioning
  * Rename snapcraft to snap

 -- Colin King <colin.king@canonical.com>  Mon, 12 Aug 2019 17:04:11 +0100

## sluice 0.02.11

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2019 Canonical, Ltd.
+# Copyright (C) 2014-2020 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.10
+VERSION=0.02.11
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 
@@ -31,6 +31,7 @@
 
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man1
+BASHDIR=/usr/share/bash-completion/completions
 
 sluice: sluice.o
 	$(CC) $(CFLAGS) $< -o $@ $(LDFLAGS)
@@ -42,7 +43,7 @@
 	rm -rf sluice-$(VERSION)
 	mkdir sluice-$(VERSION)
 	cp -rp Makefile sluice.c sluice.1 COPYING snap \
-		.travis.yml sluice-$(VERSION)
+		.travis.yml bash-completion sluice-$(VERSION)
 	tar -zcf sluice-$(VERSION).tar.gz sluice-$(VERSION)
 	rm -rf sluice-$(VERSION)
 
@@ -55,3 +56,5 @@
 	cp sluice ${DESTDIR}${BINDIR}
 	mkdir -p ${DESTDIR}${MANDIR}
 	cp sluice.1.gz ${DESTDIR}${MANDIR}
+	mkdir -p ${DESTDIR}${BASHDIR}
+	cp bash-completion/sluice ${DESTDIR}${BASHDIR}

=== snap/Makefile ===
all: 
	snapcraft

clean:
	rm -rf setup *.snap
	snapcraft clean

=== debian/changelog ===
sluice (0.02.11-1) unstable; urgency=medium

  * Makefile: bump version
  * Add bash completion script
  * Update copyright to 2020

 -- Colin King <colin.king@canonical.com>  Wed, 26 Feb 2020 16:49:25 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Colin King <colin.king@canonical.com>
 Uploaders: Kamal Mostafa <kamal@whence.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper (>= 12)
 Homepage: http://kernel.ubuntu.com/~cking/sluice
 
 Package: sluice

=== debian/watch ===
version=3
http://kernel.ubuntu.com/~cking/tarballs/sluice/sluice-(.+).tar.gz

## sluice 0.02.12

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.11
+VERSION=0.02.12
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
sluice (0.02.12-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian/control: remove compat file, add Rules-Requires-Root no rule

 -- Colin King <colin.king@canonical.com>  Sat, 4 Jul 2020 21:43:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: sluice
+Rules-Requires-Root: no
 Section: utils
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
-Uploaders: Kamal Mostafa <kamal@whence.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 12)
+Build-Depends: debhelper (>= 13),
+               debhelper-compat (=13)
 Homepage: http://kernel.ubuntu.com/~cking/sluice
 
 Package: sluice

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_build:
	$(shell dpkg-buildflags --export=sh); dh_auto_build

%:
	dh $@

## sluice 0.02.13

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2020 Canonical, Ltd.
+# Copyright (C) 2014-2021 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -15,7 +15,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.12
+VERSION=0.02.13
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
sluice (0.02.13-1) unstable; urgency=medium

  * Makefile: bump version
  * Add sanity check that input filename is not null when using -I option
  * update copyright to 2021
  * snapcraft: replace version-script with an override

 -- Colin King <colin.king@canonical.com>  Wed, 28 Apr 2021 22:30:37 +0100

## sluice 0.02.14

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #
 # Copyright (C) 2014-2021 Canonical, Ltd.
+# Copyright (C) 2021 Colin Ian King
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -15,7 +16,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.13
+VERSION=0.02.14
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 
@@ -43,7 +44,7 @@
 	rm -rf sluice-$(VERSION)
 	mkdir sluice-$(VERSION)
 	cp -rp Makefile sluice.c sluice.1 COPYING snap \
-		.travis.yml bash-completion sluice-$(VERSION)
+		.travis.yml bash-completion README.md sluice-$(VERSION)
 	tar -zcf sluice-$(VERSION).tar.gz sluice-$(VERSION)
 	rm -rf sluice-$(VERSION)

=== debian/changelog ===
sluice (0.02.14-1) unstable; urgency=medium

  * Makefile: bump version
  * sluice.c: update copyright
  * Makefile: update copyright
  * Makefile: add README.md to dist rule
  * manual: update date, author email and copyright
  * debian/watch: update watch path for tarball, move to version 4
  * debian/control: update author email address and project URL
  * Add README.md
  * snapcraft: update to core20

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 15 Nov 2021 22:23:24 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Rules-Requires-Root: no
 Section: utils
 Priority: optional
-Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 4.1.2
+Maintainer: Colin Ian King <colin.i.king@gmail.com>
+Standards-Version: 4.5.1
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13)
-Homepage: http://kernel.ubuntu.com/~cking/sluice
+Homepage: https://github.com/ColinIanKing/sluice
 
 Package: sluice
 Architecture: any

## sluice 0.02.15

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Copyright (C) 2014-2021 Canonical, Ltd.
-# Copyright (C) 2021 Colin Ian King
+# Copyright (C) 2021-2022 Colin Ian King
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.14
+VERSION=0.02.15
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 
@@ -45,7 +45,7 @@
 	mkdir sluice-$(VERSION)
 	cp -rp Makefile sluice.c sluice.1 COPYING snap \
 		.travis.yml bash-completion README.md sluice-$(VERSION)
-	tar -zcf sluice-$(VERSION).tar.gz sluice-$(VERSION)
+	tar -Jcf sluice-$(VERSION).tar.xz sluice-$(VERSION)
 	rm -rf sluice-$(VERSION)
 
 clean:

=== debian/changelog ===
sluice (0.02.15-1) unstable; urgency=medium

  * Makefile: bump version
  * Manual: break long lines into smaller lines, cleans up lintian warning
  * README.md: break long line into multiple lines, cleans up lintian warning
  * Makefile: use xz compression for tarball make dist rule
  * Makefile, source: update copyright year
  * sluice: remove <sys/fcntl.h>

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 14 Jun 2022 11:56:23 +0100

## sluice 0.03.00

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Copyright (C) 2014-2021 Canonical, Ltd.
-# Copyright (C) 2021-2022 Colin Ian King
+# Copyright (C) 2021-2024 Colin Ian King
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.02.15
+VERSION=0.03.00
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 
@@ -43,7 +43,7 @@
 dist:
 	rm -rf sluice-$(VERSION)
 	mkdir sluice-$(VERSION)
-	cp -rp Makefile sluice.c sluice.1 COPYING snap \
+	cp -rp Makefile sluice.c sluice.1 COPYING \
 		.travis.yml bash-completion README.md sluice-$(VERSION)
 	tar -Jcf sluice-$(VERSION).tar.xz sluice-$(VERSION)
 	rm -rf sluice-$(VERSION)

=== debian/changelog ===
sluice (0.03.00-1) unstable; urgency=medium

  * Makefile: bump version
  * Add -F option to fsync data to file

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 18 Jan 2024 15:57:39 +0000

sluice (0.02.16-1) unstable; urgency=medium

  * Makefile: bump version
  * Manual: fix typos
  * Manual: clean up indentation, fix incorrect copyright symbol
  * Update copyright year
  * debian/control: update standards version
  * debian/rules: add missing hardening flags
  * Makefile: remove snap from make dist rule
  * Remove snapcraft

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 12 Jan 2024 12:01:11 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Ian King <colin.i.king@gmail.com>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13)
 Homepage: https://github.com/ColinIanKing/sluice

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?V?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
             https://github.com/ColinIanKing/sluice/tags \
             (?:.*?/)?V?(\d[\d.]*)\.tar\.gz debian uupdate

## sluice 0.03.01

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-VERSION=0.03.00
+VERSION=0.03.01
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
sluice (0.03.01-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: update standards version to 4.7.0
  * check_max_pipe_size: close pipe fds if fcntl fails

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 14 Aug 2024 22:14:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Ian King <colin.i.king@gmail.com>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13)
 Homepage: https://github.com/ColinIanKing/sluice
